Name:          python-typing_extensions
Version:       3.10.0.2
Release:       2mamba
Summary:       https://pypi.org/project/typing-extensions/
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/typing-extensions/
Source:        https://pypi.debian.net/typing-extensions/typing_extensions-%{version}.tar.gz
License:       Python Software Foundation License
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%define py_requires_append \
Requires:     python-typing%{?pyappend:-%pyappend}
%pyver_package
%endif

%prep
%setup -q -n typing_extensions-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/typing_extensions-%{version}-py*.egg-info
%{python_sitearch}/typing_extensions-%{version}-py*.egg-info/*
%doc LICENSE

%changelog
* Fri Apr 08 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 3.10.0.2-2mamba
- rebuilt with python 3.10

* Tue Aug 31 2021 Automatic Build System <autodist@mambasoft.it> 3.10.0.2-1mamba
- automatic version update by autodist

* Mon Aug 30 2021 Automatic Build System <autodist@mambasoft.it> 3.10.0.1-1mamba
- automatic version update by autodist

* Sun May 02 2021 Automatic Build System <autodist@mambasoft.it> 3.10.0.0-1mamba
- automatic version update by autodist

* Thu Mar 18 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.7.4.3-2mamba
- rebuilt with python dist deps

* Mon Jan 25 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.7.4.3-1mamba
- package created using the webbuild interface
